Subject: bug#75746: 31.0.50; Can't get password promote from plink 0.82

From: Michael Albinus <[email-masked]>
Date: Fri, 14 Feb 2025 18:10:24 +0100

Eli Zaretskii <[email-masked]> writes:

Hi Eli,

>> > I'm not sure I understand the description of the new behavior: it says
>> > "(If there's no console involved, they'll fall back to the old
>> > behaviour.)", but in our case, i.e. invoking PuTTY from Emacs on
>> > Windows, there really isn't any console, since Emacs communicates with
>> > PuTTY via a pipe.  Or am I missing something?
>>
>> Tramp opens a new local process, running cmdproxy.
>
> How does Tramp start cmdproxy?  If that's via make-process or
> start-process, then the cmdproxy's standard input and output are
> connected to a pipe.

It's via start-process.

>> In its process buffer, it calls plink. So it might look like a
>> console from the PuTTY POV.
>
> I don't think so, see above.
>
> Perhaps PuTTY considers anything that is not a regular file a console?
> Otherwise, I don't understand why we see this issue.

Honestly, I have null knowledge about the topic on MS Windows.

> But if you are okay with forcing the new command-line option on plink,
> I don't mind.  I'm just worried what will happen to older versions of
> plink when they are passed this option -- if they error out, we'll
> need to detect the version or ask users to configure it, which is not
> so good.

Yep, I'll work on it. See my other message to Robert.

Best regards, Michael.